//
//  ContactsViewController.h
//  PrettyGoodChat
//
//  Created by Alex Grinman on 11/17/14.
//  Copyright (c) 2014 alexgrinman. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "AppDelegate.h"
#import "UIScrollView+EmptyDataSet.h"


@protocol ContactsControllerDelegate
- (void) choseConversation: (Conversation *) conversation;
- (void) deletedUser;

@end

@interface ContactsViewController : UITableViewController
@property (nonatomic, strong) id<ContactsControllerDelegate> delegate;
@end



@interface ContactCell : UITableViewCell

@property (nonatomic, strong) UILabel *initialsLabel;
@property (nonatomic, strong) IBOutlet UIView  *contactView;
@property (nonatomic, strong) IBOutlet UILabel *usernameLabel;
@property (nonatomic, strong) IBOutlet UILabel *fingerprintLabel;

@end
