<?php
require_once 'mysql/MySQL_messages.php';

$req = file_get_contents('php://input');

if (isset($req)){
	$req = json_decode($req,true);
	$request_type=$req['request_type'];
	$request_data=$req['request_data'];
		
	if ($request_type=='send_message'){
		if (isset($request_data['to']) && isset($request_data['from']) && isset($request_data['message']) && isset($request_data['signature'])){
			$to=$request_data['to'];
			$from=$request_data['from'];
			$message=$request_data['message'];
			$signature=$request_data['signature'];
			$digest=$request_data['digest'];
			$msgs=new MySQL_messages();
			$status=$msgs->add_message($to,$from,$message,$signature,$digest);
			if ($status){
				echo '{"status":"OK"}';
			}
			else{
				echo '{"status":"Fail"}';
			}
		}
		else{
			echo '{"status":"Fail","Reason":"Improperly formatted request_data"}';
		}
	}
	elseif ($request_type=='read_messages'){
		if (isset($request_data['to'])){
			$to=$request_data['to'];
			$from=null;
			if (isset($request_data['from'])){$from=$request_data['from'];}
			$msgs=new MySQL_messages();
			$new_msgs=$msgs->get_messages($to,$from);
			if ($new_msgs){echo $new_msgs;}
			else{
				echo '{"data":[]}';
			}
		}
		else{
			echo '{"status":"Fail","Reason":"Improperly formatted request_data"}';
		}
	}
	else{
		echo '{"status":"Fail","Reason":"Improperly formatted request_type"}';
	}
}
else{
	echo '{"status":"Fail","Reason":"Please send something..."}';
}
?>