<?php
require_once 'config.php';
require_once 'MySQL_parent.php';
//date_default_timezone_set('UTC');

class MySQL_events extends MySQL_parent{	
	public function build_event_tables(){
		$prefix1=array();
		for($i=0;$i<=25;$i++){
			array_push($prefix1,chr(97+$i));//a-z
		}
		for($i=0;$i<=25;$i++){
			array_push($prefix1,chr(65+$i));//A-Z
		}
		for($i=0;$i<=9;$i++){
			array_push($prefix1,chr(48+$i));//0-9
		}
		
		$this->open_connection();
		for ($i=0;$i<sizeof($prefix1);$i++){
			if (ord($prefix1[$i])>=65 && ord($prefix1[$i])<=90){
				$pre="cap_".$prefix1[$i];
			}
			else{
				$pre=$prefix1[$i];
			}
			$create_table="create table users_$pre(username varchar(128), num_messages int unsigned , primary key(username)) engine myisam";
			$res=$this->conn->query($create_table);
			if(!$res){
				echo ('There was an error running the query [' . $this->conn->error . ']'.'</br>');
			}else{
				echo "Table $pre was successfully created </br>";
			}
			
			$create_table="create table messages_$pre(to_user varchar(128), from_user varchar(128), message varchar(512), signature varchar(512), digest varchar(520), added datetime, index (to_user, from_user), id int unsigned not null auto_increment key) engine myisam";
			$res=$this->conn->query($create_table);
			if(!$res){
				echo ('There was an error running the query [' . $this->conn->error . ']'.'</br>');
			}else{
				echo "Table $pre was successfully created </br>";
			}
			
		}
		$this->close_connection();
	}
}

$r= new MySQL_events();
$r->build_event_tables();
?>