//
//  AppDelegate.h
//  PrettyGoodChat
//
//  Created by Alex Grinman on 11/12/14.
//  Copyright (c) 2014 alexgrinman. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "PrettyGoodChat-Swift.h"
#import "Globals.h"
#import "SecKeyWrapper.h"

#define kAppPushNotificationNewMessage @"new_message_post_notification"

@interface AppDelegate : UIResponder <UIApplicationDelegate>

@property (strong, nonatomic) UIWindow *window;
@property (nonatomic, strong) SecKeyWrapper *keyStore;
@property (nonatomic, strong) DataStore *dataStore;
@property (nonatomic, strong) ConversationManager *conversationManager;
@property (nonatomic, strong) NSString *deviceToken;

- (void) registerUser;

@end


