//
//  MessagesViewController.h
//  PrettyGoodChat
//
//  Created by Alex Grinman on 11/14/14.
//  Copyright (c) 2014 alexgrinman. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "PrettyGoodChat-Swift.h"

@interface ConversationsViewController : UITableViewController

- (void) openConversation: (Conversation *) conversation;
@end

@interface ConversationCell : UITableViewCell

@property (nonatomic, strong) IBOutlet UIView *contactView;
@property (nonatomic, strong) UILabel *initialsLabel;

@property (nonatomic, strong) IBOutlet UILabel *titleLabel;
@property (nonatomic, strong) IBOutlet UILabel *dateLabel;
@property (nonatomic, strong) IBOutlet UILabel *messageLabel;

- (void) setUsername: (NSString *) username;

@end