//
//  UserViewController.h
//  PrettyGoodChat
//
//  Created by Alex Grinman on 11/13/14.
//  Copyright (c) 2014 alexgrinman. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "AppDelegate.h"

typedef enum {
    MeViewMode, ExchangeViewMode, FriendViewMode
}ViewMode;

@interface UserViewController : UITableViewController

@property (nonatomic, assign) ViewMode viewMode;
@property (nonatomic, strong) User *user;

@property (nonatomic, strong) IBOutlet UITextField *usernameField;
@property (nonatomic, strong) IBOutlet UILabel *publicKeyLabel;
@property (nonatomic, strong) IBOutlet UIButton *addRevokeKeysButton;

@end
